## org.eclipse.emf.ecore.xml.type.impl
Class SimpleAnyTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.xml.type.impl.AnyTypeImpl
                      org.eclipse.emf.ecore.xml.type.impl.SimpleAnyTypeImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, AnyType, SimpleAnyType

    public class SimpleAnyTypeImpl

extends AnyTypeImpl
implements SimpleAnyType

An implementation of the model object 'Simple Any Type'.

The following features are implemented:

- `Raw Value`
- `Value`
- `Instance Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EDataType` `instanceType` The cached value of the '`Instance Type`' reference
`protected static java.lang.String` `RAW_VALUE_EDEFAULT` The default value of the '`Raw Value`' attribute
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.emf.ecore.xml.type.impl.AnyTypeImpl
`anyAttribute, mixed`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SimpleAnyTypeImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EDataType` `getInstanceType()`
`java.lang.String` `getRawValue()`
`java.lang.Object` `getValue()`
`void` `setInstanceType(EDataType newInstanceType)`
`void` `setRawValue(java.lang.String newRawValue)`
`void` `setValue(java.lang.Object newValue)`

Methods inherited from class org.eclipse.emf.ecore.xml.type.impl.AnyTypeImpl
`eInverseRemove, getAny, getAnyAttribute, getMixed, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.xml.type.AnyType
`getAny, getAnyAttribute, getMixed`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### RAW_VALUE_EDEFAULT

    protected static final java.lang.String RAW_VALUE_EDEFAULT

  The default value of the '`Raw Value`' attribute.

  See Also:
    `getRawValue()`

### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`

### instanceType

    protected EDataType instanceType

  The cached value of the '`Instance Type`' reference.

  See Also:
    `getInstanceType()`

Constructor Detail

### SimpleAnyTypeImpl

    protected SimpleAnyTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `AnyTypeImpl`

### getRawValue

    public java.lang.String getRawValue()

  Specified by:
    `getRawValue` in interface `SimpleAnyType`
  Returns:
    the value of the 'Raw Value' attribute.
  See Also:
    `SimpleAnyType.setRawValue(String)`, `XMLTypePackage.getSimpleAnyType_RawValue()`

### setRawValue

    public void setRawValue(java.lang.String newRawValue)

  Specified by:
    `setRawValue` in interface `SimpleAnyType`
  Parameters:
    `newRawValue` - the new value of the 'Raw Value' attribute.
  See Also:
    `SimpleAnyType.getRawValue()`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `SimpleAnyType`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `SimpleAnyType.setValue(Object)`, `XMLTypePackage.getSimpleAnyType_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `SimpleAnyType`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `SimpleAnyType.getValue()`

### getInstanceType

    public EDataType getInstanceType()

  Specified by:
    `getInstanceType` in interface `SimpleAnyType`
  Returns:
    the value of the 'Instance Type' reference.
  See Also:
    `SimpleAnyType.setInstanceType(EDataType)`, `XMLTypePackage.getSimpleAnyType_InstanceType()`

### setInstanceType

    public void setInstanceType(EDataType newInstanceType)

  Specified by:
    `setInstanceType` in interface `SimpleAnyType`
  Parameters:
    `newInstanceType` - the new value of the 'Instance Type' reference.
  See Also:
    `SimpleAnyType.getInstanceType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `AnyTypeImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `AnyTypeImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `AnyTypeImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `AnyTypeImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.